{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}
{% block stylesheets %}
            {{parent()}}
            {{ encore_entry_link_tags('login') }}
        {% endblock %}
{% block body %}
 <div class="login-bg">
  <div class="row">

      <div class="form-container container">
    
        <form method="post">
            {% if error %}
                <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
            {% endif %}

            {% if app.user %}
                <div class="mb-3">
                    You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
                </div>
            {% endif %}

            {# <h1 class="h3 mb-3 font-weight-normal">Please sign in</h1> #}
            <label  class="login-label" for="inputEmail">{% trans from 'login' %} email {% endtrans %}</label>
            <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" required autofocus>
            <label class="login-label" for="inputPassword">{% trans from 'login' %} password {% endtrans %}</label>
            <input type="password" name="password" id="inputPassword" class="form-control" required>

            <input type="hidden" name="_csrf_token"
                  value="{{ csrf_token('authenticate') }}"
            >

            
                {# Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
                See https://symfony.com/doc/current/security/remember_me.html #}

                <div class="checkbox mb-3">
                    <label class="remember-login">
                        <input type="checkbox" name="_remember_me">{% trans from 'login' %} remember {% endtrans %}
                    </label>
                </div>
          

            <button class="sign-in-btn" type="submit">
                {% trans from 'login' %} login {% endtrans %}
            </button>
        </form>
      
    </div>
  </div>
</div>
{% endblock %}

{% block javascripts %}
            {{ encore_entry_script_tags('login') }}
{% endblock %}